window.onload = function() {
	(function($, doc) {
		$.init();
		var Personnel = JSON.parse(window.localStorage.getItem("ClientInfo")); // 获取客户信息
		doc.getElementById('ShopName').innerHTML = Personnel.ClientInfo.ShopName;
		doc.getElementById('ClientName').innerHTML = Personnel.ClientInfo.Name;
		doc.getElementById('ClientID').innerHTML = Personnel.ClientInfo.ID;
		doc.getElementById('ClientMoney').innerHTML = Personnel.ClientInfo.Money;
		doc.getElementById('ClientCoupon').innerHTML = Personnel.Coupon_Usable;
		doc.getElementById('ClientIntegral').innerHTML = Personnel.ClientInfo.Integral;
		doc.getElementById('Not_Arrived').innerHTML = Personnel.Not_Arrived;
		doc.getElementById('Arrived').innerHTML = Personnel.Arrived;
		doc.getElementById('OrderCount').innerHTML = Personnel.ClientInfo.OrderCount;
		doc.getElementById('OrderMoney').innerHTML = Personnel.ClientInfo.OrderMoney;

		// 调用虚拟仓库列表接口
		var postdata = {
			PlatForm: window.localStorage.getItem("PlatForm"),
			Shop: Personnel.ClientInfo.Shop,
			PageCount: 1000,
			Page: 1
		};
		PostData('GetVirtualWareHouse', postdata, function(data) {
			if(data.State) {
				var VirtualWareHouseObj = JSON.parse(data.ReturnJson);
				var layerContent = document.querySelector('#layerContent');
				layerContent.innerHTML = '';
				if(VirtualWareHouseObj !== null && VirtualWareHouseObj.Count > 0) {
					for(var i = 0; i < VirtualWareHouseObj.Count; i++) {
						layerContent.innerHTML += '<div class="layerBox">' +
							'<div class="layerT">淘派集运' + VirtualWareHouseObj.VirtualWareHouseInfo[i].WareHouseName + '</div>' +
							'<div class="layerD">联络人：' + VirtualWareHouseObj.VirtualWareHouseInfo[i].Person + '(' + Personnel.ClientInfo.Name + ')' + '</div>' +
							'<div class="layerD">联系电话：' + VirtualWareHouseObj.VirtualWareHouseInfo[i].Tel + '</div>' +
							'<div class="layerD">邮政编号：' + VirtualWareHouseObj.VirtualWareHouseInfo[i].PostCode + '</div>' +
							'<div class="layerD">收货地址：' + VirtualWareHouseObj.VirtualWareHouseInfo[i].Address + '(' + Personnel.ClientInfo.ID + ')' + '</div>' +
							'</div>'
					}
				} else {
					plus.nativeUI.toast(data.MsgText);
				}
			}
		});
	}(mui, document));
}