﻿function bindEventForDynamic() {
	$("#Pack_Address .addressinfo_detail").on('click', function() {
		$(".addressinfo_detail").removeClass("address_choose");
		$(".addressinfo_detail input[type=radio]").attr("checked", false);
		$(this).addClass("address_choose");
		$(this).find("input[type=radio]:first").attr("checked", true);
		GetCheckedAddress();
		SumOrder();
	});
}
bindEventForDynamic();

function GetCheckedAddress() {
	var $this = $("#Pack_Address input[name=address_id]:checked");
	var Person = $this.attr("data-person");
	if($this.attr("data-address") == "" || $this.attr("data-address") == null) {
		layer.alert('', {
			title: "提示",
			content: "您暂时没有可用的收货地址，请先新增收货地址！",
			icon: 2
		});
		var address = $this.attr("data-address");
		return false;
	} else {
		var address = $this.attr("data-address").replace(/\s/g, "");
	}
	var phone = $this.attr("data-phone");
	var TimerRem = $(".packorder_item select[name=Timer] option:selected").attr("data-rem");
	$(".packorder_item .packorder_time .TimerRem").html(TimerRem);
	$(".packorder_KdList .packaddress_box input[name=LinkMan]").val(Person);
	$(".packorder_KdList .packaddress_box input[name=LinkPhone]").val(phone);
	$(".packorder_KdList .packaddress_box textarea[name=Address]").val(address);
}

//选择时效事件
//选择承运商事件
//勾选包税事件
$(".autoSumByChange").on('change', function() {
	SumOrder();
});
$(".baoshui").on('click', function() {
	return;
	if($(".baoshui_png").hasClass('on')) {
		$(".baoshui_png").removeClass('on');
		$(".baoshui_png").addClass('off');
	} else {
		$(".baoshui_png").removeClass('off');
		$(".baoshui_png").addClass('on');
	}
	SumOrder();
});
//保价触发事件
var Checkbaojia = /^[0-9.]*$/;
$("input[name=baojia]").on({
	blur: function() {
		if(!Checkbaojia.test($(this).val())) {
			$("input[name=baojia]").val("");
		}
		SumOrder();
	}
});

//代收货款触发事件
var CheckDSHK = /^[0-9]*$/;
$("input[name=dshk]").on({
	blur: function() {
		if(!CheckDSHK.test($(this).val())) {
			$("input[name=dshk]").val("");
		}
		SumOrder();
	}
});

//使用积分事件
$("input[name=UseIntegral]").on({
	blur: function() {
		if(!CheckDSHK.test($(this).val())) {
			$("input[name=UseIntegral]").val("");
		}
		SumOrder();
	}
});

//选择集运券事件
$("#volume_list").on("change", function() {
	SumOrder();
});

//分包、合包事件
$(document).on("change", "select[name=PackOption]", function() {
	var PackageNo = $(this).find("option:selected").val();
	var BillID = $(this).find("option:selected").attr("data-bill");
	var NowPack = $(this).find("option:selected").attr("data-nowpack");
	SumOrder(BillID, NowPack, PackageNo);
});

//重新计算订单费用方法
function SumOrder(BillID, NowPack, PackageNo) {
	BillID = (typeof(BillID) == "undefined") ? 0 : BillID;
	NowPack = (typeof(NowPack) == "undefined") ? 0 : NowPack;
	PackageNo = (typeof(PackageNo) == "undefined") ? 0 : PackageNo;
	var WareHouseID = $("#WareHouseID").val();
	var Timer = $("select[name=Timer] option:selected").val(); //获取时效
	var Carrier = $("select[name=ServicesName] option:selected").val(); //获取承运商
	var AddressID = $("#Pack_Address input[name=address_id]:checked").val(); //获取地址
	var AgentID = $("#Pack_Address input[name=address_id]:checked").attr("data-agent"); //获取自提点
	var CountryID = $("#Pack_Address input[name=address_id]:checked").attr("data-country"); //获取国家
	var ProvinceID = $("#Pack_Address input[name=address_id]:checked").attr("data-province"); //获取省份
	var CityID = $("#Pack_Address input[name=address_id]:checked").attr("data-city"); //获取城市
	var AreaID = $("#Pack_Address input[name=address_id]:checked").attr("data-area"); //获取区域
	var Baojia = $("input[name=baojia]").val(); //获取保价金额
	Baojia = (Baojia == "" || Baojia == null) ? 0 : Baojia;
	var DSHK = $("input[name=dshk]").val(); //获取代收货款金额
	DSHK = (DSHK == "" || DSHK == null) ? 0 : DSHK;
	var baoshui = false; // $(".baoshui_png").hasClass("on"); //获取包税
	var Integral = $("input[name=UseIntegral]").val(); //获取积分
	Integral = (Integral == "" || Integral == null) ? 0 : Integral;
	var Coupon = $("#volume_list option:selected").val(); //获取集运券
	Coupon = (isNaN(Coupon)) ? "0" : Coupon;

	var Temp = JSON.parse(window.localStorage.getItem('SplitPackage'));
	if(BillID > 0 && NowPack > 0) {
		var Package;
		var PackageIndex;
		var maxPackNo = 0;
		for(var i = 0; i < Temp.length; i++) {
			if(Temp[i].PackNo > maxPackNo) {
				maxPackNo = Temp[i].PackNo;
			}
		}
		for(var i = Temp.length - 1; i >= 0; i--) {
			if(Temp[i].PackNo == NowPack) {
				Package = Temp[i];
				PackageIndex = i;
				break;
			}
		}
		for(var i = Package.BillList.length - 1; i >= 0; i--) {
			if(Package.BillList[i] == BillID) {
				Package.BillList.splice(i, 1);
				break;
			}
		}
		if(PackageNo > 0) {
			for(var i = Temp.length - 1; i >= 0; i--) {
				if(Temp[i].PackNo == PackageNo) {
					Temp[i].BillList.push(BillID);
					break;
				}
			}
		} else {
			Temp.push({
				PackNo: maxPackNo + 1,
				BillList: [BillID]
			});
		}
		if(Package.BillList.length == 0) {
			Temp.splice(PackageIndex, 1);
		}
		var tmpPackNo = 1;
		for(var i = 0; i < Temp.length; i++) {
			Temp[i].PackNo = tmpPackNo++;
		}
	}

	var NewPack = [];
	for(var i = 0; i < Temp.length; i++) {
		var tmpPack = {
			PackageNo: Temp[i].PackNo,
			BillCodes: []
		};
		for(var j = 0; j < Temp[i].BillList.length; j++) {
			tmpPack.BillCodes.push({
				ID: Temp[i].BillList[j]
			});
		}
		NewPack.push(tmpPack);
	}
	var pdata = {
		PlatForm: window.localStorage.getItem('PlatForm'),
		Client: Personnel.ClientInfo.ID,
		Shop: Personnel.ClientInfo.Shop,
		SplitPackage: NewPack,
		WareHouse: parseInt(WareHouseID),
		Timer: parseInt(Timer),
		Carrier: parseInt(Carrier),
		AddressID: parseInt(AddressID),
		Agent: parseInt(AgentID),
		Country: parseInt(CountryID),
		Province: parseInt(ProvinceID),
		City: parseInt(CityID),
		Insured: parseFloat(Baojia),
		Collection: parseFloat(DSHK),
		IsTax: baoshui,
		Integral: parseFloat(Integral),
		Coupon: parseInt(Coupon)
	};
	PostData('CalculatedPriceByBillCode', pdata, function(data) {
		if(data.State) {
			OrderModel.BillCodeInfo = JSON.parse(data.ReturnJson);
			var Pack = [];
			for(var i = 0; i < OrderModel.BillCodeInfo.SplitPackage.length; i++) {
				var sp = OrderModel.BillCodeInfo.SplitPackage[i];
				var nowPack = {
					PackNo: sp.PackageNo,
					BillList: []
				};
				sp.BillCodes.map(function(value, index, array) {
					nowPack.BillList.push(value.ID)
				});
				Pack.push(nowPack);
			}
			window.localStorage.setItem('SplitPackage', JSON.stringify(Pack));
			var CalcData = OrderModel.BillCodeInfo;
			//使用积分规则判断
			if(Integral > parseFloat($(".packorder_item .integral_info").attr("data-value"))) {
				alert('使用积分数不能大于您的积分余额');
				$("input[name=UseIntegral]").val("");
				$("input[name=UseIntegral]").focus();
				return false;
			} else if(Integral > parseFloat(CalcData.CalculatedPrice.ShopFare.Freight)) {
				alert('使用积分数不能大于您的集运费用');
				$("input[name=UseIntegral]").val("");
				$("input[name=UseIntegral]").focus();
				return false;
			} else {
				$(".money_detail .Integral .right").attr("data-discount", CalcData.IntegralAmount);
				$(".money_detail .Integral .right").html("-￥" + CalcData.IntegralAmount); //改变积分抵扣金额
			}
			//更新快递单号列表
			$(".packorder_KdList").html('');
			var $kdList = "";
			for(var i in CalcData.SplitPackage) {
				$kdList += "<div class='one'>";
				$kdList += "<div class='Div'>";
				$kdList += "<span class='Div_s1'>包号:</span>";
				$kdList += "<span class='Div_s2'>" + CalcData.SplitPackage[i].PackageNo + "</span>";
				$kdList += "<span class='Div_s1'>重量:</span>";
				$kdList += "<span class='Div_s2'>" + CalcData.SplitPackage[i].Weight + "</span>";
				$kdList += "<span class='Div_s1'>附加费:</span>";
				$kdList += "<span class='Div_s2'>" + CalcData.SplitPackage[i].PackFare + "</span>";
				$kdList += "</div>";
				$kdList += '<div class="address packaddress_box" data-packid="' + CalcData.SplitPackage[i].PackageNo + '">';
				$kdList += '<div class="address_user">';
				$kdList += '<ul class="address_ul">';
				$kdList += '<li><div>收货人姓名：</div><input class="packAddress" name="LinkMan" readonly="readonly" type="text" value="" /></li>';
				$kdList += '<li><div>电 话 号 码：</div><input class="packAddress" name="LinkPhone" readonly="readonly" type="text" value="" /></li>';
				$kdList += '</ul>';
				$kdList += '<div class="address_d">';
				$kdList += '<span>收货地址：</span>';
				$kdList += '<textarea class="packAddress" name="Address" readonly="readonly" value="" ></textarea>';
				$kdList += '<a class="mui-icon mui-icon-forward ressOne"></a>';
				$kdList += '</div>';
				$kdList += '<div class="address_d" style="display:none">';
				$kdList += '<span>代收货款：</span>';
				$kdList += '<input class="packAddress" name="DSHK" type="text" value="" />';
				$kdList += '</div>';
				$kdList += '</div>';
				$kdList += '</div>';
				for(var b in CalcData.SplitPackage[i].BillCodes) {
					$kdList += '<div class="order">';
					$kdList += '<div class="order_tion">';
					$kdList += '<div class="order_tion_Div1" style="display:block;">';
					$kdList += '<div style="width:100%;">快递单号：<span>' + CalcData.SplitPackage[i].BillCodes[b].BillCode + '</span></div>';
					$kdList += '<div style="width:100%;">货物名称：<span>' + CalcData.SplitPackage[i].BillCodes[b].GoodsName + '</span>&nbsp;&nbsp;&nbsp;&nbsp;附加费：<span>' + CalcData.SplitPackage[i].BillCodes[b].Free + '</span></div>';
					$kdList += '</div>';
					$kdList += '<div class="order_tion_Div2">';
					$kdList += '<div>到库时间：<span>' + CalcData.SplitPackage[i].BillCodes[b].StorageTime + '</span></div>';
					$kdList += '</div>';
					$kdList += '<div class="order_tion_Div1">';
					$kdList += '<div>到库天数：<span>' + CalcData.SplitPackage[i].BillCodes[b].DayCount + '</span></div>';
					$kdList += '<div>计费重量：<span>' + CalcData.SplitPackage[i].BillCodes[b].Weight + '</span></div>';
					$kdList += '</div>';
					$kdList += '</div>';
					$kdList += '<div>';
					if(CalcData.SplitPackage[i].BillCodes.length > 1 || CalcData.SplitPackage.length > 1) {
						$kdList += "<select name='PackOption'><option data-nowpack='0' data-bill='0' value='0'>选项</option>";
						if(CalcData.SplitPackage[i].BillCodes.length > 1) {
							$kdList += "<option data-nowpack=" + CalcData.SplitPackage[i].PackageNo + " data-bill=" + CalcData.SplitPackage[i].BillCodes[b].ID + " value='0'>拆开成新包裹</option>";
						}
						for(var c in CalcData.SplitPackage) {
							if(CalcData.SplitPackage[c].PackageNo != CalcData.SplitPackage[i].PackageNo) {
								$kdList += "<option data-nowpack=" + CalcData.SplitPackage[i].PackageNo + " data-bill=" + CalcData.SplitPackage[i].BillCodes[b].ID + " value=" + CalcData.SplitPackage[c].PackageNo + ">转移到包号[" + CalcData.SplitPackage[c].PackageNo + "]</option>";
							}
						}
						$kdList += "</select>";

					}
					$kdList += '</div>';
					$kdList += "</div>";
				}
				$kdList += "</div>";
			}
			$(".packorder_KdList").html($kdList);
			GetCheckedAddress();
			$(" .money_detail .Insured .right").html("￥" + CalcData.CalculatedPrice.ShopFare.InsuredAmount); //保价费
			$("#baojiafee").html("￥" + CalcData.CalculatedPrice.ShopFare.InsuredAmount); //保价费

			if($("#IsOpenDSHK").val() == 1 || $("#IsOpenDSHK").val() == "1") {
				$(" .money_detail .Collection .right").html("￥" + CalcData.CalculatedPrice.ShopFare.CollectionAmount); //货款费
				$("#dshkfee").html("￥" + CalcData.CalculatedPrice.ShopFare.CollectionAmount); //货款费
			}
			$(".money_detail .FeeTotal .right").html("￥" + CalcData.CalculatedPrice.ShopFare.Fare + "&nbsp;&nbsp;&nbsp;&nbsp;" + CalcData.LocalUnit + "：" + CalcData.LocalCharge); //客户应付费用                    
			$(".money_detail .FeeTotal .right").attr("data-fare", CalcData.CalculatedPrice.ShopFare.Fare);
			$(".money_detail .Freight .right").html("￥" + CalcData.CalculatedPrice.ShopFare.Freight); //店铺运费
			$(".money_detail .Freight .right").attr("data-money", CalcData.CalculatedPrice.ShopFare.Freight);
			$(".money_detail .Tax .right").html("￥" + CalcData.CalculatedPrice.ShopFare.Tax); //包税费用
			$(".money_detail .Coupon .right").html("-￥" + CalcData.CalculatedPrice.ShopFare.Coupon); //集运券抵扣金额
			$(".AddressFee div.right").html(CalcData.CalculatedPrice.ShopFare.AddressSurcharge); //地址附加费
			ShowPayType();
			A();
			bindEventForDynamic();
		} else {
			alert(JSON.stringify(data));
		}
	});
}

//支付方式显示判断
function ShowPayType() {
	var Integral = $(".money_detail .Integral .right").attr("data-discount"); //积分抵扣金额
	var Collection = $("input[name=dshk]").val(); //代收货款
	var Freight = $(".money_detail .Freight .right").attr("data-money"); //运费
	var fare = $(".FeeTotal .right").attr("data-fare"); //应付费用
	$(".pay_type").empty();
	$(".pay_type").append("<option value='1'>钱包支付</option>");
	$(".pay_type").append("<option value='6'>微信支付</option>");
	$(".pay_type").append("<option value='7'>支付宝支付</option>");
	$(".pay_type").append("<option value='3'>淘宝店铺支付(人民幣支付)</option>");

	if(Integral == Freight && fare == 0) {
		$(".pay_type option[value='1']").remove();
		$(".pay_type option[value='2']").remove();
		$(".pay_type option[value='3']").remove();
	} else {
		$(".pay_type option[value='5']").remove();
	}
	if(parseFloat(Collection) > 0 && parseFloat(Collection) >= parseFloat(fare)) {} else {
		$(".pay_type option[value='4']").remove();
	}
}
ShowPayType();

//提交订单
$("#SubmitOrder").on("click", function() {
	var TaoBaoUrl = $("#TaoBaoUrl").val(); //淘宝店铺链接
	var WareHouseID = $("#WareHouseID").val(); //仓库
	var Freight = $(".money_detail .Freight .right").attr("data-money"); //运费
	var PayType = $(".pay_type").val(); //支付方式
	var All = $(".packorder_KdList .packaddress_box input[name=DSHK]"); //代收货款
	var DSHK = $(".detail_packorder input[name=dshk]").val(); //快递单号代收款
	var orderfare = $(".FeeTotal .right").attr("data-fare"); //应付费用
	DSHK = (DSHK == null || DSHK == "") ? 0 : DSHK;
	var timer = $("select[name=Timer] option:selected").val(); //时效
	var carrier = $("select[name=ServicesName] option:selected").val(); //承运商
	var AddressID = $(".address_choose input[name=address_id]").eq(0).val(); //获取地址
	var AgentID = $(".address_choose input[name=address_id]").eq(0).attr("data-agent"); //获取自提点
	var CountryID = $(".address_choose input[name=address_id]").eq(0).attr("data-country"); //获取国家
	var ProvinceID = $(".address_choose input[name=address_id]").eq(0).attr("data-province"); //获取省份
	var CityID = $(".address_choose input[name=address_id]").eq(0).attr("data-city"); //获取城市

	var Insured = $(".detail_packorder input[name=baojia]").val(); //保价金额
	Insured = (Insured == null || Insured == "") ? 0 : Insured;
	var IsTax = false; // $(".baoshui_png").hasClass("on"); //包税
	var Integral = $(".detail_packorder input[name=UseIntegral]").val(); //积分
	Integral = (Integral == null || Integral == "") ? 0 : Integral;
	var Coupon = $("#volume_list option:selected").val(); //集运券
	var temp = new Object(); //存放每一条数据
	var postArray = new Array(); //存放最终提交的完整数据
	for(var a = 0; a < All.length; a++) {
		var PackageNo = $(".packorder_KdList .packaddress_box").eq(a).attr("data-packid"); //包号
		var ReceiveName = $(".packorder_KdList .packaddress_box input[name=LinkMan]").eq(a).val(); //联系人
		var ReceivePhoneNo = $(".packorder_KdList .packaddress_box input[name=LinkPhone]").eq(a).val(); //联系电话
		var ReceiveAddress = $(".packorder_KdList .packaddress_box textarea[name=Address]").eq(a).val(); //联系地址
		var Collection = Number(All.eq(a).val()); //代收货款
		temp = {
			"PackageNo": parseInt(PackageNo),
			"ReceiveName": ReceiveName,
			"ReceivePhoneNo": ReceivePhoneNo,
			"ReceiveAddress": ReceiveAddress,
			"Collection": Collection
		};
		postArray.push(temp);
	}
	var Sum = 0;
	for(var i = 0; i < All.length; i++) {
		Sum += Number(All.eq(i).val());
	}
	if(typeof(PayType) == "undefined") {
		alert("请选择支付方式再点击提交");
		return false;
	} else if(Sum != Number(DSHK)) {
		alert("您的订单代收货款和快递包裹代收货款之和不相等，请检查后重新填写！");
		return false;
	} else {
		var Temp = JSON.parse(window.localStorage.getItem('SplitPackage'));
		var PackAddressList = postArray;
		var Pack = [];
		for(var i = 0; i < PackAddressList.length; i++) {
			var Package;
			var a = PackAddressList[i];
			for(var j = 0; j < Temp.length; j++) {
				if(Temp[j].PackNo == a.PackageNo) {
					Package = Temp[j];
					break;
				}
			}
			if(Package && typeof(Package) == "object") {
				var NowPack = {
					PackageNo: a.PackageNo,
					BillCodes: [],
					ReceiveAddress: a.ReceiveAddress,
					Collection: a.Collection,
					ReceiveName: a.ReceiveName,
					ReceivePhoneNo: a.ReceivePhoneNo
				};
				for(var k = 0; k < Package.BillList.length; k++) {
					NowPack.BillCodes.push({
						ID: Package.BillList[k]
					});
				}
				Pack.push(NowPack);
			}
		}

		var pdata = {
			PlatForm: window.localStorage.getItem('PlatForm'),
			Client: Personnel.ClientInfo.ID,
			Shop: Personnel.ClientInfo.Shop,
			WareHouse: parseInt(WareHouseID),
			SplitPackage: Pack,
			OrderSource: 1,
			Timer: parseInt(timer),
			Carrier: parseInt(carrier),
			AddressID: parseInt(AddressID),
			Country: parseInt(CountryID),
			Province: parseInt(ProvinceID),
			City: parseInt(CityID),
			Agent: parseInt(AgentID),
			Insured: parseInt(Insured),
			Collection: parseInt(DSHK),
			IsTax: IsTax,
			Integral: parseInt(Integral),
			Coupon: parseInt(Coupon),
			PayType: parseInt(PayType)
		};
		if (pdata.Coupon>0 && pdata.Integral>0){
			mui.alert('积分和集运券不能同时使用，已修改使用积分为0。');
			$(".detail_packorder input[name=UseIntegral]").val('0');
			return;
		}
		//alert(JSON.stringify(pdata));
		PostData('AddOrder', pdata, function(data) {
			if(data.State) {
				var $data = JSON.parse(data.ReturnJson);
				//选择淘宝支付返回
				if(parseInt(PayType) == 3) {
					var $layer_txt = '<div class="tb_layer">';
					$layer_txt += '<div class="bpay_nav"><b style="font-weight: bold;padding-left: 10px;font-size: 15px;">ID：111</b><b class="bpn_name">支付码:</b><input type="text" value="' + $data.MainBillCode + '" class="bpn_txt" id="bpn_txt"><a class="bcn_txt" id="bcn_txt">复制支付码</a></div>';
					$layer_txt += '<div class="bcome_nav"><b class="bcn_name"><a href="tpShopping.html?url=' + TaoBaoUrl + '&txt=店铺支付' + '" id="tb_url">点击链接去淘宝付款</a></b></div>';
					$layer_txt += '<div class="bcom_tip"><p class="">提示：</p><p class="">1：先复制付款码 </p><p class="">2：点击链接去淘宝付款 </p><p class="">3：拍的订单在“买家留言”中备注所复制的付款码</p></div>';
					$layer_txt += '</div>';

					var tbOpen = layer.open({
						title: '订单创建成功，请及时支付',
						type: 1,
						closeBtn: 0,
						shadeClose: false,
						scrollbar: true,
						area: ['95%', '90%'],
						btn: ['关闭'],
						content: $layer_txt,
						btn1: function(index, layero) {
							history.go(-1);
						}
					});

					$("#bcn_txt").on('click', function() {
						var e = document.getElementById("bpn_txt"); //对象必须是content
						e.select(); //选择对象
						document.execCommand("Copy"); //执行浏览器复制命令
						alert("复制成功！");
					});

					$(".tb_layer .tbl_ok").on("click", function() {
						window.location.href = "MyOrder.html";
					});
					$(".tb_layer .tbl_cancel").on("click", function() {
						window.location.href = "MyOrder.html";
					});
				} else if(parseInt(PayType) == 6) {
					layer.alert('', {
						title: "提示",
						content: "订单创建成功，请及时支付！",
						icon: 1
					}, function() {
						window.location.href = "Members/WeixinJsApi.html?Money=" + $data.Receivables + "&OrderCode=" + $data.MainBillCode;
					});

				} else if(parseInt(PayType) == 7) {
					layer.alert('', {
						title: "提示",
						content: "订单创建成功，请及时支付！",
						icon: 1
					}, function() {
						window.location.href = "Members/AliPay.html?Money=" + $data.Receivables + "&OrderCode=" + $data.MainBillCode;
					});

				} else {
					layer.alert('', {
						title: "提示",
						content: "下单成功！",
						icon: 1
					}, function() {
						window.location.href = "Package.html";
					});
				}
			} else {
				alert(data.MsgText);
			}
		});
	}
});